import java.net.DatagramPacket;
import java.net.InetAddress;
import java.util.concurrent.TimeUnit;

public class Receiver {

	private static final int SENDER_PORT_NUMBER = 64_000;
	private static final int RECEIVER_PORT_NUMBER = 64_500;

	private static final int UNABLE_TO_SLEEP = -1;
	
	private static final int NUMBER_OF_MESSAGES_TO_RECEIVE = 10;
	
	private static final int SLEEP_TIMEOUT_IN_MILLISECONDS = 50;

	public static void main(String[] args) {
		Socket receiveSocket = new Socket(RECEIVER_PORT_NUMBER);
		int numberOFMessagesReceived = 0;
		
		while (numberOFMessagesReceived < NUMBER_OF_MESSAGES_TO_RECEIVE) {
			DatagramPacket receivePacket = receiveSocket.receive();
			
			if (receivePacket != null) {
				byte[] receiveBytes = receivePacket.getData();
				String message = new String(receiveBytes);
				
				InetAddress senderIPAddress = receivePacket.getAddress();
				int senderPortNumber = receivePacket.getPort();
				
				System.out.println("\n\nReceived a message:");
				System.out.println("   From IP Address  = " + senderIPAddress.getHostAddress());
				System.out.println("   From Port Number = " + senderPortNumber);
				System.out.println("   Message          = " + message);
				
				numberOFMessagesReceived++;				
			} else {
				try {
					TimeUnit.MILLISECONDS.sleep(SLEEP_TIMEOUT_IN_MILLISECONDS);
				} catch (InterruptedException e) {
					e.printStackTrace();
					System.exit(UNABLE_TO_SLEEP);
				}
			}
		}

		receiveSocket.close();
	}

}
