import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.concurrent.TimeUnit;

public class Sender {

	private static final int SENDER_PORT_NUMBER = 64_000;
	private static final int RECEIVER_PORT_NUMBER = 64_500;

	private static final int NUMBER_OF_MESSAGES_TO_SEND = 10;
	
	private static final int UNABLE_TO_OBTAIN_DESTINATION_IP_ADDRESS = -1;
	private static final int UNABLE_TO_SLEEP = -2;
	
	
	private static final String DESTINATION_IP_ADDRESS = "192.168.50.24";
	
	private static final int SLEEP_TIMEOUT_IN_SECONDS = 3;
	
	public static void main(String[] args) {
		Socket sendSocket = new Socket(SENDER_PORT_NUMBER);
		InetAddress destinationIPAddress = null;
		
		try {
			destinationIPAddress = InetAddress.getByName(DESTINATION_IP_ADDRESS);
		} catch (UnknownHostException e) {
			e.printStackTrace();
			System.exit(UNABLE_TO_OBTAIN_DESTINATION_IP_ADDRESS);
		}
		
		for ( int i = 1 ; i <= NUMBER_OF_MESSAGES_TO_SEND ; i++ ) {
			String message = "Hello There!!! This is message # " + i;
			
			System.out.println("Sending message = " + message);
			
			sendSocket.send(message, destinationIPAddress, RECEIVER_PORT_NUMBER);
			
			try {
				TimeUnit.SECONDS.sleep(SLEEP_TIMEOUT_IN_SECONDS);
			} catch (InterruptedException e) {
				e.printStackTrace();
				System.exit(UNABLE_TO_SLEEP);
			}
		}

		sendSocket.close();
	}

}
